#include "param_info.h"
void
param_info_init()
{
    static int done_once = 0;

    // guard against multiple initializations of the default table.
    if (done_once == 1) {
        return;
    }
    done_once = 1;

    param_info_hash_create(&param_info);

	param_info_storage_t tmp;

    tmp.type_string.hdr.name = "UPDATE_COLLECTORS_WITH_TCP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HOST";
    tmp.type_string.hdr.str_val = "input_host";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_TRANSFER_LIFETIME";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_WEB_SERVER";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "IGNORE_NFS_LOCK_ERRORS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RECONNECT_BACKOFF_CEILING";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_DISCOUNT_SUSPENDED_RESOURCES";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_CLAIMTOBE_USER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

	tmp.type_string.hdr.name = "ENABLE_VERSIONED_OPSYS";
	tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
	tmp.type_string.hdr.range_valid = 0;
#ifdef WIN32
	tmp.type_string.hdr.str_val = "false";
	tmp.type_string.hdr.default_valid = 1;
#else
	tmp.type_string.hdr.str_val = "true";
	tmp.type_string.hdr.default_valid = 1;
#endif
    param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PARROT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WEB_ROOT_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOG_ON_NFS_IS_ERROR";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VMP_HOST_MACHINE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_REQ_STANDARD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_ABORT_ON_SCARY_SUBMIT";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "UNICORE_GAHP";
    tmp.type_string.hdr.str_val = "$(SBIN)/unicore_gahp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDORC_ATTRS_TO_COPY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMAP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_CONFIG_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EXCEPT_ON_ERROR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STATISTICS_WINDOW_QUANTUM_DC";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 1;
    
	tmp.type_double_ranged.dbl_min = 1;
	tmp.type_double_ranged.dbl_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_CRON_AUTOPUBLISH";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MOUNT_UNDER_SCRATCH";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_DEFAULT_REQUESTCPUS";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_INFORM_STARTD";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_STDOUT_TESTING";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCK";
    tmp.type_string.hdr.str_val = "$(LOG)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_DIRECTORY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CLASSAD_LOG_STRICT_PARSING";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_CONFIG_DIR_EXCLUDE_REGEXP";
    tmp.type_string.hdr.str_val = "^((\\..*)|(.*~)|(#.*)|(.*\\.rpmsave)|(.*\\.rpmnew))$";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_JOB_HOOK_KEYWORD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_HA_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_DRAINING_MACHINES_PER_HOUR";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 0;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DBSIZE_LIMIT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_DEFAULT_REQUESTDISK";
    tmp.type_string.hdr.str_val = "DiskUsage";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUEUE_ALL_USERS_TRUSTED";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_GLOBUS_COMMIT_TIMEOUT";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SYSTEM_JOB_MACHINE_ATTRS";
    tmp.type_string.hdr.str_val = "Cpus,SlotWeight";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_IS_REMOTELY_QUERYABLE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USER_JOB_WRAPPER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_START_DELAY";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_CONDOR_SUBMIT_EXE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_INHERITS_STARTER_ENVIRONMENT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_REQUIREMENTS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_CRON_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REAL_TIME_JOB_SUSPEND_UPDATES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TCP_COLLECTOR_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_NETWORKING_DEFAULT_TYPE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FS_LOCAL_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GAHP_ARGS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_ENVIRONMENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PERIODIC_MEMORY_SYNC";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_TCP_SESSION_TIMEOUT";
    tmp.type_string.hdr.str_val = "20";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 20;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_CLAIM_ALIVES_MISSED";
    tmp.type_string.hdr.str_val = "6";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 6;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PROCD_ADDRESS";
    tmp.type_string.hdr.str_val = "$(LOCK)/procd_pipe";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DBMSD";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_dbmsd";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC_USER_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "OBITUARY_LOG_LENGTH";
    tmp.type_string.hdr.str_val = "20";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 20;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_IO_BUFFER_BLOCK_SIZE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_SOAP";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_POST_JOB_RANK";
    tmp.type_string.hdr.str_val = "$(UWCS_NEGOTIATOR_POST_JOB_RANK)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_BACK_PARTITION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SYSAPI_GET_LOADAVG";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_KEY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_ENABLED";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MEMORY_USAGE_METRIC";
    tmp.type_string.hdr.str_val = "((ResidentSetSize+1023)/1024)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PROCD_DEBUG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FS_ALLOW_UNSAFE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_AFS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_VM_EXPRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VMWARE_PERL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_SLOT_POOLSIZE_CONSTRAINT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FS_REMOTE_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_NEGOTIATOR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CERTIFICATE_MAPFILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_POLLING_INTERVAL";
    tmp.type_string.hdr.str_val = "20";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 20;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_OLD_RESCUE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_ADMIN_MEGABITS_SEC";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_USE_SQL_LOG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_MIN_RESCHEDULE_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STORK_MODULE_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WINDOWS_FIREWALL_FAILURE_RETRY";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "START_DAEMONS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_RUN_HISTORY_DURATION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

	tmp.type_string.hdr.name = "LIBEXEC";
	tmp.type_string.hdr.type = PARAM_TYPE_STRING;
	tmp.type_string.hdr.range_valid = 0;
#ifdef WIN32
	tmp.type_string.hdr.str_val = "$(BIN)";
	tmp.type_string.hdr.default_valid = 1;
#else
	tmp.type_string.hdr.str_val = "$(RELEASE_DIR)/libexec";
	tmp.type_string.hdr.default_valid = 1;
#endif
    param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CLAIM_PARTITIONABLE_LEFTOVERS";
    tmp.type_string.hdr.str_val = "$(NEGOTIATOR_USE_SLOT_WEIGHTS)";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

	tmp.type_string.hdr.name = "MAX_JOBS_RUNNING";
	tmp.type_string.hdr.type = PARAM_TYPE_INT;
	tmp.type_string.hdr.range_valid = 0;
#ifdef WIN32
	tmp.type_string.hdr.str_val = "200";
	tmp.type_string.hdr.default_valid = 1;
#else
	tmp.type_string.hdr.str_val = "ceiling(ifThenElse( $(DETECTED_MEMORY)*0.8*1024/800 < 10000, $(DETECTED_MEMORY)*0.8*1024/800, 10000 ))";
	tmp.type_string.hdr.default_valid = 0;
#endif
    param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_STARTER_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_RANK_STANDARD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DELEGATE_JOB_GSI_CREDENTIALS_LIFETIME";
    tmp.type_string.hdr.str_val = "86400";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 86400;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RESERVE_AFS_CACHE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PRIVATE_NETWORK_INTERFACE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DB_IP_ADDR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_REQUIREMENTS";
    tmp.type_string.hdr.str_val = "PartitionableSlot && Offline=!=True";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_PID_COLLISION_RETRY";
    tmp.type_string.hdr.str_val = "9";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 9;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_BACKOFF_FACTOR";
    tmp.type_string.hdr.str_val = "2.0";
    tmp.type_string.hdr.type = PARAM_TYPE_DOUBLE;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_double.dbl_val = 2.0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATION_CYCLE_STATS_LENGTH";
    tmp.type_string.hdr.str_val = "3";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 3;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = 100;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_TIMEOUT";
    tmp.type_string.hdr.str_val = "30";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 30;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GAHP_USE_XML_CLASSADS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHUTDOWN_GRACEFUL_TIMEOUT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_TYPE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRAM_VERSION_DETECTION";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_MATCH_EXPRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_STAND_ALONE_DEBUG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_MAX_JOBMANAGERS_PER_RESOURCE";
    tmp.type_string.hdr.str_val = "10";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_PROCD_LOG";
    tmp.type_string.hdr.str_val = "10000000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10000000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_RANK";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MODIFY_REQUEST_EXPR_REQUESTCPUS";
    tmp.type_string.hdr.str_val = "quantize(RequestCpus,{1})";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "POOL_HISTORY_MAX_STORAGE";
    tmp.type_string.hdr.str_val = "10000000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10000000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_KILLING_TIMEOUT";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_TRACKING_GID";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_COMPUTE_AVAIL_STATS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STRING";
    tmp.type_string.hdr.str_val = "input";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_MUNGE_NODE_NAMES";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_PASSWORD_DOMAIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_CONFIG_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_REPLICATION_LEVEL";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_IO_BUFFER_SIZE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_NAMES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_PROCD";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "X_RUNS_HERE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_ENABLE_MATCH_PASSWORD_AUTHENTICATION";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "START_LOCAL_UNIVERSE";
    tmp.type_string.hdr.str_val = "TotalLocalJobsRunning < 200";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_SEND_VACATE_VIA_TCP";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_WRITE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_USE_NONBLOCKING_STARTD_CONTACT";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHARED_PORT_DAEMON_AD_FILE";
    tmp.type_string.hdr.str_val = "$(LOCK)/shared_port_ad";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOGS_USE_TIMESTAMP";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_MAX_STORE_PROCESSES";
    tmp.type_string.hdr.str_val = "50";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 50;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_HARDWARE_VT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_MAX_AVAIL_PERIOD_SAMPLES";
    tmp.type_string.hdr.str_val = "100";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 100;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_RECHECK_INTERVAL";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ALLOW_VM_CRUFT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "900";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 900;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_GLOBAL_JOB_PRIOS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_HISTORY_CLEANING_INTERVAL";
    tmp.type_string.hdr.str_val = "24";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 24;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DATABASE_PURGE_INTERVAL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_GAHPCLIENT_DEBUG";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_RANK";
    tmp.type_string.hdr.str_val = "-ExpectedMachineGracefulDrainingBadput";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "OPSYS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEN";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_preen";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_EXTRA_ARGUMENTS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_MAX_JOB_CLEANUP_RETRIES";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "INVALID_LOG_FILES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "BIND_ALL_INTERFACES";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRANSFER_QUEUE_USER_EXPR";
    tmp.type_string.hdr.str_val = "User";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEDICATED_SCHEDULER_USE_FIFO";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_USE_TEMP_TABLE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_TRUSTED_CA_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_PRE_JOB_RANK";
    tmp.type_string.hdr.str_val = "$(UWCS_NEGOTIATOR_PRE_JOB_RANK)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PER_JOB_HISTORY_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_UPDATE_AFTER_CYCLE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_POLLING_TIMESLICE";
    tmp.type_string.hdr.str_val = "0.05";
    tmp.type_string.hdr.type = PARAM_TYPE_DOUBLE;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_double.dbl_val = 0.05;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_CLASSPATH_DEFAULT";
    tmp.type_string.hdr.str_val = "$(LIB) $(LIB)/scimark2lib.jar .";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_GAHP_REQ_TIMEOUT";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_BACKOFF_CEILING";
    tmp.type_string.hdr.str_val = "3600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_AVAILABLE_PARTITIONS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_INSTANCE_LOCK";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_LIST";
    tmp.type_string.hdr.str_val = "SHADOW, SHADOW_STANDARD";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_SHUTDOWN_TIME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KEYBOARD_CPUS";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_NEW_BINARY_RESTART";
    tmp.type_string.hdr.str_val = "GRACEFUL";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/MasterLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MPI_CONDOR_RSH_PATH";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_BACKUP_SPOOL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_STATE_FILE";
    tmp.type_string.hdr.str_val = "$(LOCK)/defrag_state";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_TRANSFER_INPUT_MB";
    tmp.type_string.hdr.str_val = "-1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = -1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_GAHP_WORKER";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_c-gahp_worker_thread";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_JOB_EXPRS";
    tmp.type_string.hdr.str_val = "ImageSize, ExecutableSize, JobUniverse, NiceUser";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_DAEMON_AD_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_STATS_SWEEP";
    tmp.type_string.hdr.str_val = "14400";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 14400;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_CHECKPROXY_INTERVAL";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 600;
	tmp.type_int_ranged.int_min = 1;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_SLOT_TYPES";
    tmp.type_string.hdr.str_val = "10";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HDFS_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/HDFSLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_JOB_ENVIRONMENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SUBMIT_SEND_RESCHEDULE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHED_UNIV_RENICE_INCREMENT";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_DISCARDED_RUN_TIME";
    tmp.type_string.hdr.str_val = "3600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_ADVERTISE_STARTD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_DELETE_OLD_LOGS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_shadow";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VMWARE_NETWORKING_TYPE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_STATUS_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEAD_COLLECTOR_MAX_AVOIDANCE_TIME";
    tmp.type_string.hdr.str_val = "3600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RUNTIME_CONFIG_ADMIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NONBLOCKING_COLLECTOR_UPDATE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_RANK_STANDARD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_BACKFILL";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_SERVER_KEYFILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_LAZY_QUEUE_UPDATE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_PROXY_REFRESH_TIME";
    tmp.type_string.hdr.str_val = "21600";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_POLLING_PERIOD";
    tmp.type_string.hdr.str_val = "10";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PRIVSEP_SWITCHBOARD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CREDD_CACHE_LOCALLY";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_RUN_UNKNOWN_USER_JOBS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_UPLOAD_TIMEOUT";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_ROUTER_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/JobRouterLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "XEN_BOOTLOADER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NET_REMAP_ROUTE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_DH_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRACEFULLY_REMOVE_JOBS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WARN_ON_UNUSED_SUBMIT_FILE_MACROS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TOOLS_PROVIDE_OLD_MESSAGES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_DRAINING_SCHEDULE";
    tmp.type_string.hdr.str_val = "graceful";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_PRIO_FACTOR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_JOB_HISTORY_DURATION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_RANK_VANILLA";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STATISTICS_WINDOW_QUANTUM";
    tmp.type_string.hdr.str_val = "240";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 240;
	tmp.type_int_ranged.int_min = 1;
	tmp.type_int_ranged.int_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_ABORT_DUPLICATES";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STATISTICS_WINDOW_QUANTUM_SCHEDD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 1;
    
	tmp.type_double_ranged.dbl_min = 1;
	tmp.type_double_ranged.dbl_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_CHECK_NEW_EXEC_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_RESOURCE_PREFIX";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TCP_UPDATE_COLLECTORS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LIB";
    tmp.type_string.hdr.str_val = "$(RELEASE_DIR)/lib";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUERY_TIMEOUT";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_SWEEP_INTERVAL";
    tmp.type_string.hdr.str_val = "1200";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1200;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_VIEW_CLASSAD_TYPES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_SHUTDOWN_CONSTRAINT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONSOLE_DEVICES";
    tmp.type_string.hdr.str_val = "mouse, console";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_DEBUG_CACHE_ENABLE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_MAX_PENDING_SUBMITS_PER_RESOURCE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_SOCKET_BUFSIZE";
    tmp.type_string.hdr.str_val = "65536";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 65536;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/RoosterLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_RETRY_NODE_FIRST";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_JOB_HOOK_KEYWORD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MATCH_TIMEOUT";
    tmp.type_string.hdr.str_val = "120";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 120;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_ADVERTISE_SCHEDD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_CANCEL_REQUIREMENTS";
    tmp.type_string.hdr.str_val = "$(DEFRAG_WHOLE_MACHINE_EXPR)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_VM_ATTRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_PROBE";
    tmp.type_string.hdr.str_val = "$(LIBEXEC)/condor_ckpt_probe";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FULL_HOSTNAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_MAX_PROCESSES";
    tmp.type_string.hdr.str_val = "50";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 50;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUEUE_SUPER_USER_MAY_IMPERSONATE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_AUTOREGROUP";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "IP";
    tmp.type_string.hdr.str_val = "input";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRID_MONITOR";
    tmp.type_string.hdr.str_val = "$(SBIN)/grid_monitor";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_MASTER_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "POLLING_INTERVAL";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_SUBMIT_DEPTH_FIRST";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_TIMEOUT_MULTIPLIER";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_JOB_QUEUE_LOG_FLUSH_DELAY";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CHECKPOINT_PLATFORM";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REMOTE_GAHP";
    tmp.type_string.hdr.str_val = "$(SBIN)/remote_gahp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRID_MONITOR_HEARTBEAT_TIMEOUT";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_ALLOW_UNSAFE_REMOTE_EXEC";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_JM_EXIT_LIMIT";
    tmp.type_string.hdr.str_val = "30";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 30;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEBUG_TIME_FORMAT";
    tmp.type_string.hdr.str_val = "%m/%d/%y %H:%M:%S ";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_INTERVAL";
    tmp.type_string.hdr.str_val = "900";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 900;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FLOCK_COLLECTOR_HOSTS";
    tmp.type_string.hdr.str_val = "$(FLOCK_TO)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_ROUTER_LOCK";
    tmp.type_string.hdr.str_val = "$(LOCK)/$(JOB_ROUTER_NAME)Lock";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_USERLOG_LOCKING";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_CERT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NOT_RESPONDING_TIMEOUT";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_CLASSAD_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TOUCH_LOG_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_WAKEUP_CMD";
    tmp.type_string.hdr.str_val = "\"$(BIN)/condor_power -d -i\"";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "IS_VALID_CHECKPOINT_PLATFORM";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ARCH";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_ACCOUNTANT_DATABASE_SIZE";
    tmp.type_string.hdr.str_val = "1000000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1000000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DBMSMANAGER_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "XAUTHORITY_USERS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_SOAP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_BENCHMARK_TIME";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DCSTATISTICS_WINDOW_SECONDS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 1;
    
	tmp.type_double_ranged.dbl_min = 1;
	tmp.type_double_ranged.dbl_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CREDD_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MEMORY_USAGE_METRIC_VM";
    tmp.type_string.hdr.str_val = "VM_Memory";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SSHD_ARGS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PLUGIN_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_SOCKET_BUFSIZE";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_LIST";
    tmp.type_string.hdr.str_val = "STARTER, STARTER_STANDARD";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_CLEAN_INTERVAL";
    tmp.type_string.hdr.str_val = "86400";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 86400;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MIN_TRACKING_GID";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_CKPT_SERVER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/SchedLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PERSISTENT_CONFIG_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DELTACLOUD_GAHP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "BIN";
    tmp.type_string.hdr.str_val = "$(RELEASE_DIR)/bin";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_STORK_SUBMIT_EXE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KILLING_TIMEOUT";
    tmp.type_string.hdr.str_val = "30";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 30;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_RENICE_INCREMENT";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_ROUND_ATTR_ResidentSetSize";
    tmp.type_string.hdr.str_val = "25%";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_TCP_SOCKET_BUFSIZE";
    tmp.type_string.hdr.str_val = "128*1024";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 128*1024;
	tmp.type_int_ranged.int_min = 1024;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/StarterLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_MATCHLIST_CACHING";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_HEARTBEAT_INTERVAL";
    tmp.type_string.hdr.str_val = "1200";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 1200;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "POOL_HISTORY_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_DEFAULT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CREAM_GAHP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_HOSTS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOFT_UID_DOMAIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NET_REMAP_INAGENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_ALLOW_QUOTA_OVERSUBSCRIPTION";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONCURRENCY_LIMIT_DEFAULT";
    tmp.type_string.hdr.str_val = "2308032";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 2308032;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KEEP_OUTPUT_SANDBOX";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_SORT_EXPR";
    tmp.type_string.hdr.str_val = "ifThenElse(AccountingGroup=\?=\"<none>\",3.4e+38,ifThenElse(GroupQuota>0,GroupResourcesInUse/GroupQuota,3.3e+38))";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_ROUTING_INFO";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER.PID_SNAPSHOT_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_schedd";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COUNT_HYPERTHREAD_CPUS";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_PORT";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REPLICATION_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_OWNER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENT_LOG_USE_XML";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_JOB_QUEUE_LOG_ROTATIONS";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_BACKOFF_CONSTANT";
    tmp.type_string.hdr.str_val = "9";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 9;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_JOBS_SUBMITTED";
    tmp.type_string.hdr.str_val = "2147483647";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 2147483647;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PRIORITY_HALFLIFE";
    tmp.type_string.hdr.str_val = "86400";
    tmp.type_string.hdr.type = PARAM_TYPE_DOUBLE;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_double.dbl_val = 86400;
	tmp.type_double_ranged.dbl_min = 0.00001;
	tmp.type_double_ranged.dbl_max = DBL_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEN_INTERVAL";
    tmp.type_string.hdr.str_val = "86400";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 86400;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/NegotiatorLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DATABASE_REINDEX_INTERVAL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_startd";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "START";
    tmp.type_string.hdr.str_val = "$(UWCS_START)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_DAEMON";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUST_UID_DOMAIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_RANK_VANILLA";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_LOCAL";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_starter";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PROCD";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_procd";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_CONTACT_TIMEOUT";
    tmp.type_string.hdr.str_val = "45";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 45;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NO_DNS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_CLASSPATH_SEPARATOR";
    tmp.type_string.hdr.str_val = ":";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_CLASSPATH_ARGUMENT";
    tmp.type_string.hdr.str_val = "-classpath";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC_RETRIES";
    tmp.type_string.hdr.str_val = "3";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 3;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HA_LOCK_URL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REMOTE_PRIO_FACTOR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_EVENT_LOG";
    tmp.type_string.hdr.str_val = "1000000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1000000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_VIRTUAL_MACHINE_TYPES";
    tmp.type_string.hdr.str_val = "10";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STATISTICS_WINDOW_SECONDS";
    tmp.type_string.hdr.str_val = "1200";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 1200;
	tmp.type_int_ranged.int_min = 1;
	tmp.type_int_ranged.int_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NETWORK_INTERFACE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SPOOL";
    tmp.type_string.hdr.str_val = "$(LOCAL_DIR)/spool";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_MANAGE_VACUUM";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_CONNECTION_TIMEOUT";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NETWORK_MAX_PENDING_CONNECTS";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_PROCESS_GROUPS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_SERVER_READ_BUFFER";
    tmp.type_string.hdr.str_val = "2048";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 2048;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "BATCH_GAHP";
    tmp.type_string.hdr.str_val = "$(GLITE_LOCATION)/bin/batch_gahp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DROP_CORE_ON_RECONFIG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_RETRY_SUBMIT_FIRST";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_PROHIBIT_MULTI_JOBS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_REQ_VANILLA";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REPLICATION_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_VISIBLE_DESKTOP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_gridmanager";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_NETWORKING";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_UNHIBERNATE";
    tmp.type_string.hdr.str_val = "Offline && Unhibernate";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DB_QUERY_PASSWORD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_ROUTER_NAME";
    tmp.type_string.hdr.str_val = "jobrouter";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DB_TYPE";
    tmp.type_string.hdr.str_val = "PGSQL";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC_RETRY_DELAY";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 5;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_FLAG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "UID_DOMAIN";
    tmp.type_string.hdr.str_val = "$(FULL_HOSTNAME)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "BIOTECH";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_STATE_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SMTP_SERVER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TEMP_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENT_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_WORKLIFE";
    tmp.type_string.hdr.str_val = "3600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_ADVERTISE_MASTER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_GAHP_SERVER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_XML_LOG";
    tmp.type_string.hdr.str_val = "1900000000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1900000000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLITE_LOCATION";
    tmp.type_string.hdr.str_val = "$(LIBEXEC)/glite";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCK_DEBUG_LOG_TO_APPEND";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_PROXY_OVERRIDE_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENCRYPT_EXECUTE_DIRECTORY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_GAHP_CONFIG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NAMED_CHROOT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/ShadowLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATE_ALL_JOBS_IN_CLUSTER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_DOMAIN_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_MAX_TIME_PER_SUBMITTER";
    tmp.type_string.hdr.str_val = "31536000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 31536000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 300;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_IGNORE_DUPLICATE_JOB_EXECUTION";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_MAX_PREPARATION";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_CLASSAD_CACHING";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USER_MAPFILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_PER_JOB";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRID_MONITOR_RETRY_DURATION";
    tmp.type_string.hdr.str_val = "900";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 900;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_CLIENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_READ_CONFIG_BEFORE_CYCLE";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_CONDOR_RM_EXE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_CLAIMTOBE_INCLUDE_DOMAIN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CM_IP_ADDR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REUSE_CONDOR_RUN_ACCOUNT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_PREEMPTION_RANK";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "POOL_HISTORY_SAMPLING_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_GAHP_CALL_TIMEOUT_CONDOR";
    tmp.type_string.hdr.str_val = "28800";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 28800;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MODIFY_REQUEST_EXPR_REQUESTMEMORY";
    tmp.type_string.hdr.str_val = "quantize(RequestMemory,{128})";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_SHADOW_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SSHD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_USE_PRIMARY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_USE_REPLICATION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_GRID_MONITOR";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "START_SCHEDULER_UNIVERSE";
    tmp.type_string.hdr.str_val = "TotalSchedulerJobsRunning < 200";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_CONFIG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ALWAYS_CLOSE_USERLOG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DNS_CACHE_REFRESH";
    tmp.type_string.hdr.str_val = "28800";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 28800;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DELEGATE_JOB_GSI_CREDENTIALS_REFRESH";
    tmp.type_string.hdr.str_val = "0.25";
    tmp.type_string.hdr.type = PARAM_TYPE_DOUBLE;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_double.dbl_val = 0.25;
	tmp.type_double_ranged.dbl_min = 0;
	tmp.type_double_ranged.dbl_max = 1;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_MAX_NUMBER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA_MAXHEAP_ARGUMENT";
    tmp.type_string.hdr.str_val = "-Xmx";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_DISK_LOCK_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_SCHED_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_STORK_RM_EXE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SSH_KEYGEN_ARGS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_ROUTER_SOURCE_JOB_CONSTRAINT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_CONNECT_FAILURE_RETRY_COUNT";
    tmp.type_string.hdr.str_val = "3";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_SUPPORT_EMAIL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEN_ARGS";
    tmp.type_string.hdr.str_val = "-m -r";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_INVALIDATE_SESSIONS_VIA_TCP";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC_JOB";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_SENDS_ALIVES";
    tmp.type_string.hdr.str_val = "peer";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CRED_MIN_TIME_LEFT";
    tmp.type_string.hdr.str_val = "120";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TMP_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "XEN_SCRIPT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NORDUGRID_GAHP";
    tmp.type_string.hdr.str_val = "$(SBIN)/nordugrid_gahp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEN_ADMIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PID_SNAPSHOT_INTERVAL";
    tmp.type_string.hdr.str_val = "15";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 15;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_NAME";
    tmp.type_string.hdr.str_val = "An adorable little test pool";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRANSFERER_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/TransfererLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ALL_DEBUG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COMPRESS_PERIODIC_CKPT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_DAEMON_PROXY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ALWAYS_VM_UNIV_USE_NOBODY";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDSHELL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_SKIP_HOST_CHECK";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_HISTORY_DURATION";
    tmp.type_string.hdr.str_val = "180";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 180;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEMPTION_RANK";
    tmp.type_string.hdr.str_val = "$(UWCS_PREEMPTION_RANK)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "XEN_BRIDGE_SCRIPT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_CA_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_RECONNECT_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FILESYSTEM_DOMAIN";
    tmp.type_string.hdr.str_val = "$(FULL_HOSTNAME)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_HISTORY_ROTATION";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_AD_REEVAL_EXPR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HISTORY";
    tmp.type_string.hdr.str_val = "$(SPOOL)/history";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WANT_UDP_COMMAND_SOCKET";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_ROUND_ATTR_ProportionalSetSizeKb";
    tmp.type_string.hdr.str_val = "25%";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_CONTACT_SCHEDD_DELAY";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAIL";
    tmp.type_string.hdr.str_val = "/usr/bin/mail";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_NETWORKING_MAC_PREFIX";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_QUOTA_ROUND_ROBIN_RATE";
    tmp.type_string.hdr.str_val = "1.0e100";
    tmp.type_string.hdr.type = PARAM_TYPE_DOUBLE;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_double.dbl_val = 1.0e100;
	tmp.type_double_ranged.dbl_min = 1.0;
	tmp.type_double_ranged.dbl_max = 1.0e100;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_MIN_INTERVAL";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WINDOWS_SOFTKILL";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_softkill";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_LOCK";
    tmp.type_string.hdr.str_val = "$(LOCK)/ShadowLock";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_SHARED_PORT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JAVA";
    tmp.type_string.hdr.str_val = "/usr/bin/java";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_CLAIM_ID_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_INSERT_SUB_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_LOCAL_LOGGING";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENT_LOG_JOB_AD_INFORMATION_ATTRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_MAX_UNHIBERNATE";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 0;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ACCOUNTANT_LOCAL_DOMAIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_STATUS_MAX_ERROR";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_RLIMIT_AS";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ADD_WINDOWS_FIREWALL_EXCEPTION";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KEEP_POOL_HISTORY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "BACKFILL_SYSTEM";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PROCD_LOG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_NEGOTIATOR_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_HOST";
    tmp.type_string.hdr.str_val = "$(CONDOR_HOST)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "OUT_LOWPORT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "START_MASTER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLEXEC_STARTER";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_SERVER_KEYFILE_PASSWORD";
    tmp.type_string.hdr.str_val = "96hoursofmattslife";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_DEBUG";
    tmp.type_string.hdr.str_val = "D_NODATE";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/CollectorLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_UNIVERSE_JOB_CLEANUP_RETRY_DELAY";
    tmp.type_string.hdr.str_val = "30";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 30;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_ALLOW_EVENTS";
    tmp.type_string.hdr.str_val = "114";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 114;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_CLONE_TO_CREATE_PROCESSES";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_LOG_ON_NFS_IS_ERROR";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_CAPACITY_INFO";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_NEW_BINARY_DELAY";
    tmp.type_string.hdr.str_val = "120";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 120;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SLOW_CKPT_SPEED";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FILE_LOCK_VIA_MUTEX";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_ARGS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE";
    tmp.type_string.hdr.str_val = "1000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENCRYPT_SECRETS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_GAHPCLIENT_DEBUG_SIZE";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SANDBOX_TRANSFER_METHOD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_SESSION_DURATION_SLOP";
    tmp.type_string.hdr.str_val = "20";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 20;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MUST_MODIFY_REQUEST_EXPRS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/DefragLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_RENICE_INCREMENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NETWORK_HORIZON";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_DEBUG_PRINT_KEYS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DB_USER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_WHOLE_MACHINE_EXPR";
    tmp.type_string.hdr.str_val = "Cpus == TotalCpus && Offline=!=True";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RESERVED_SWAP";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VALID_SPOOL_FILES";
    tmp.type_string.hdr.str_val = "job_queue.log, job_queue.log.tmp, history, Accountant.log, Accountantnew.log, local_univ_execute, .quillwritepassword, .pgpass, .schedd_address, .schedd_classad, OfflineLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REPLICATION_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/ReplicationLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DISABLE_AUTHENTICATION_IP_CHECK";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_RECOVER_FACTOR";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_UNIV_NOBODY_USER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_CONFIG_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DISCONNECTED_KEYBOARD_IDLE_BOOST";
    tmp.type_string.hdr.str_val = "1200";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 1200;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_MAX_MEMORY";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_USE_SLOT_WEIGHTS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_DEFAULT_REQUESTMEMORY";
    tmp.type_string.hdr.str_val = "ifthenelse(MemoryUsage =!= UNDEFINED,MemoryUsage,(ImageSize+1023)/1024)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "XEN_ALLOW_HARDWARE_VT_SUSPEND";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "APPEND_REQ_VM";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 60;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_GAHP";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_c-gahp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PERIODIC_EXPR_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_SLOT_EXPRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_JOB_MIRROR_UPDATE_LAG";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_FLAG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_MAX_PENDING_SUBMITS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_DEPRECATION_WARNINGS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_MAX_TIME_PER_PIESPIN";
    tmp.type_string.hdr.str_val = "31536000";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 31536000;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_HAS_BAD_UTMP";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_IGNORE_USER_PRIORITIES";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SUBMIT_EXPRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RESTART_PROCD_ON_ERROR";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_NFS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_POLLING_MAX_INTERVAL";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PUBLISH_OBITUARIES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_SHUTDOWN_SLOW_START_INTERVAL";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SYSTEM_JOB_MACHINE_ATTRS_HISTORY_LENGTH";
    tmp.type_string.hdr.str_val = "1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 1;
	tmp.type_int_ranged.int_min = 0;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_RESOURCE_HISTORY_DURATION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_ADDRESS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TCP_FORWARDING_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_MAINTAIN_SOFT_STATE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_NETWORKING_TYPE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_PERSISTENT_CONFIG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HAD_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/HADLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_SHADOW_EXCEPTIONS";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_SIZE_ESTIMATE";
    tmp.type_string.hdr.str_val = "125";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 125;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_CREDENTIAL_DIR";
    tmp.type_string.hdr.str_val = "/tmp";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STORK_ENABLE_DEPRECATED_USERLOG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_DIR";
    tmp.type_string.hdr.str_val = "$(RELEASE_DIR)/hosts/$(HOSTNAME)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_MAX_PENDING_REQUESTS";
    tmp.type_string.hdr.str_val = "50";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 50;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CLASSAD_USER_LIBS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_CRON_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHADOW_JOB_CLEANUP_RETRY_DELAY";
    tmp.type_string.hdr.str_val = "30";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 30;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHUTDOWN_FAST_TIMEOUT";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KERBEROS_MAP_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_ADDRESS_REWRITING";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_SCRIPT_TO_CREATE_CONFIG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GRIDMANAGER_CONNECT_FAILURE_RETRY_INTERVAL";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_CONSIDER_PREEMPTION";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAEMON_LIST";
    tmp.type_string.hdr.str_val = "MASTER, STARTD, SCHEDD";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_BOOT_PARTITION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COMPRESS_VACATE_CKPT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NET_REMAP_SERVICE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SEC_PASSWORD_FILE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CLAIM_RECYCLING_CONSIDER_LIMITS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_RUNTIME_CONFIG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "REQUIRE_LOCAL_CONFIG_FILE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_CHECK_PARENT_INTERVAL";
    tmp.type_string.hdr.str_val = "120";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 120;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "POLLING_PERIOD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CCB_SERVER_WRITE_BUFFER";
    tmp.type_string.hdr.str_val = "2048";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 2048;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_CHOOSES_CKPT_SERVER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STORK_TMP_CRED_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_SOFT_SUSPEND";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CREATE_CORE_FILES";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAEMON_SOCKET_DIR";
    tmp.type_string.hdr.str_val = "$(LOCK)/daemon_sock";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "KBDD_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/KbdLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_ROUTER_POLLING_PERIOD";
    tmp.type_string.hdr.str_val = "10";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 10;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "COLLECTOR_REPEAT_STARTD_ADS";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_SSL_CA_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_RANK";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_DESTROY_PARTITION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PREEMPTION_REQUIREMENTS";
    tmp.type_string.hdr.str_val = "$(UWCS_PREEMPTION_REQUIREMENTS)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VMWARE_SCRIPT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MachineMaxVacateTime";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENT_LOG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/StartLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_SLOT_ATTRS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DC_DAEMON_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GLOBAL_JOB_ID_WITH_TIME";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RunBenchmarks";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_MAX_CONCURRENT_DRAINING";
    tmp.type_string.hdr.str_val = "-1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = -1;
	tmp.type_int_ranged.int_min = -1;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_MATCH_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_GENERATE_PARTITION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MPI_MASTER_IP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PRIVSEP_ENABLED";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_STARTUP_CYCLE_DETECT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DOMAIN";
    tmp.type_string.hdr.str_val = "input_domain";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_SHOULD_REINDEX";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EXECUTE";
    tmp.type_string.hdr.str_val = "$(LOCAL_DIR)/execute";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

	tmp.type_string.hdr.name = "SBIN";
	tmp.type_string.hdr.type = PARAM_TYPE_STRING;
	tmp.type_string.hdr.range_valid = 0;
#ifdef WIN32
	tmp.type_string.hdr.str_val = "$(BIN)";
	tmp.type_string.hdr.default_valid = 1;
#else
	tmp.type_string.hdr.str_val = "$(RELEASE_DIR)/sbin";
	tmp.type_string.hdr.default_valid = 1;
#endif
    param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PRIVATE_NETWORK_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_SKIP_HOST_CHECK_CERT_REGEX";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_TRANSFER_OUTPUT_MB";
    tmp.type_string.hdr.str_val = "-1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = -1;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_GATEKEEPER";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "FLOCK_NEGOTIATOR_HOSTS";
    tmp.type_string.hdr.str_val = "$(FLOCK_TO)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "JOB_LEASE_DURATION";
    tmp.type_string.hdr.str_val = "ATTR_JOB_LEASE_DURATION";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CRED_SUPER_USERS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_RESET_RETRIES_UPON_RESCUE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "IN_LOWPORT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_SHUTDOWN_PARTITION";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_QUOTA_MAX_ALLOCATION_ROUNDS";
    tmp.type_string.hdr.str_val = "3";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = 3;
	tmp.type_int_ranged.int_min = 1;
	tmp.type_int_ranged.int_max = 1000000000;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "INTERACTIVE_SUBMIT_FILE";
    tmp.type_string.hdr.str_val = "$(LIBEXEC)/interactive.sub";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PROCD_MAX_SNAPSHOT_INTERVAL";
    tmp.type_string.hdr.str_val = "60";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GSI_SKIP_HOST_CHECK";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_MAX_RESTORE_PROCESSES";
    tmp.type_string.hdr.str_val = "50";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 50;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GAHP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NICE_USER_PRIO_FACTOR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PASSWD_CACHE_REFRESH";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRUNC_COLLECTOR_LOG_ON_OPEN";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "TRANSFERD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HA_POLL_PERIOD";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SUBMIT_SKIP_FILECHECKS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_NOCLAIM_SHUTDOWN";
    tmp.type_string.hdr.str_val = "0";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 0;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ROOSTER_UNHIBERNATE_RANK";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "USE_GID_PROCESS_TRACKING";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "GROUP_ACCEPT_SURPLUS";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_SHOULD_WRITE_CLAIM_ID_FILE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_GAHP_SEND_ALL_CLASSAD";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ENABLE_SOAP_SSL";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTD_FACTORY_SCRIPT_QUERY_WORK_LOADS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_SIMULATE_SHUTDOWNS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_READ";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_DIR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ALLOW_ADMIN_COMMANDS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CREATE_LOCKS_ON_LOCAL_DISK";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "HA_LOCK_HOLD_TIME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_VIEW_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ACCOUNTANT_HOST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL";
    tmp.type_string.hdr.str_val = "$(SBIN)/condor_quill";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EVENTD_SHUTDOWN_CLEANUP_INTERVAL";
    tmp.type_string.hdr.str_val = "3600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 3600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_UNIVERSE_MAX_JOB_CLEANUP_RETRIES";
    tmp.type_string.hdr.str_val = "5";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 5;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EMAIL_DOMAIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "ABORT_ON_EXCEPTION";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHED_DEBUG_WAIT";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_PENDING_REPORT_INTERVAL";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFAULT_UNIVERSE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "PLUGINS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "RELEASE_DIR";
    tmp.type_string.hdr.str_val = "/tmp/condorinstall0";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_PREEMPTION_REQUIREMENTS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_ENVIRONMENT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SSH_KEYGEN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DELEGATE_JOB_GSI_CREDENTIALS";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_GAHP_LOG";
    tmp.type_string.hdr.str_val = "/tmp/VMGAHPLog.$(USERNAME)";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "STARTER_INITIAL_UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "8";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 8;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "WANT_XML_LOG";
    tmp.type_string.hdr.str_val = "false";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = false;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SINFUL";
    tmp.type_string.hdr.str_val = "input";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOCAL_UNIV_EXECUTE";
    tmp.type_string.hdr.str_val = "$(SPOOL)/local_univ_execute";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_INTERVAL";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "UNUSED_CLAIM_TIMEOUT";
    tmp.type_string.hdr.str_val = "600";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 600;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SCHEDD_INTERVAL";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_UPDATE_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_MAINTAIN_DB_CONN";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CONDOR_ADMIN";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUEUE_SUPER_USERS";
    tmp.type_string.hdr.str_val = "root, condor";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_AUTO_RESCUE";
    tmp.type_string.hdr.str_val = "true";
    tmp.type_string.hdr.type = PARAM_TYPE_BOOL;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = true;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "CKPT_SERVER_INTERVAL";
    tmp.type_string.hdr.str_val = "300";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 300;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "LOG";
    tmp.type_string.hdr.str_val = "$(LOCAL_DIR)/log";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MAX_GLOBAL_JOB_PRIOS";
    tmp.type_string.hdr.str_val = "500";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 500;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MASTER_SQLLOG";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SETTABLE_ATTRS_ADMINISTRATOR";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "UPDATE_COLLECTOR_WITH_TCP";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "Q_QUERY_TIMEOUT";
    tmp.type_string.hdr.str_val = "20";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    tmp.type_int.int_val = 20;
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VM_MEMORY";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "NEGOTIATOR_SLOT_CONSTRAINT";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DAGMAN_ON_EXIT_REMOVE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "DEFRAG_MAX_WHOLE_MACHINES";
    tmp.type_string.hdr.str_val = "-1";
    tmp.type_string.hdr.type = PARAM_TYPE_INT;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 1;
    tmp.type_int.int_val = -1;
	tmp.type_int_ranged.int_min = -1;
	tmp.type_int_ranged.int_max = INT_MAX;

	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SOAP_LEAVE_IN_QUEUE";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "QUILL_DB_NAME";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "EMAIL_NOTIFICATION_CC";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "MODIFY_REQUEST_EXPR_REQUESTDISK";
    tmp.type_string.hdr.str_val = "quantize(RequestDisk,{1024})";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VMP_VM_LIST";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "VALID_COD_USERS";
    tmp.type_string.hdr.str_val = "";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 0;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    tmp.type_string.hdr.name = "SHARED_PORT_LOG";
    tmp.type_string.hdr.str_val = "$(LOG)/SharedPortLog";
    tmp.type_string.hdr.type = PARAM_TYPE_STRING;
    tmp.type_string.hdr.default_valid = 1;
    tmp.type_string.hdr.range_valid = 0;
    
	param_info_hash_insert(param_info, &tmp);

    param_info_hash_optimize(param_info);
}

